Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask
Class DecompositionClass

    java.lang.Object
      edu.wpi.cetask.DecompositionClass

    public class DecompositionClass

extends Object

Field Summary
`protected TaskEngine` | `engine` Task engine in which DOM resides
`static int` | `MAX_BINDING_DEPTH` Maximum allowed depth of dependency chain in bindings (default 10).
`protected Node` | `node` Node in DOM
`static XPath` | `XPATH`

Method Summary
`boolean` | `equals(Object object)`
`String` | `getDeviceType()`
`TaskEngine` | `getEngine()`
`TaskClass` | `getGoal()`
`String` | `getId()`
`int` | `getMaxOccursStep(String name)` Return the maximum number of times named step in this decomposition class may be repeated, or -1 if unbounded.
`TaskModel` | `getModel()`
`String` | `getNamespace()`
`String` | `getPlatform()`
`String` | `getProperty(String key)`
`List<String>` | `getRequiredStepNames(String name)`
`List<String>` | `getStepNames()`
`TaskClass` | `getStepType(String name)`
`List<TaskClass>` | `getStepTypes()`
`TaskClass` | `getTask()`
`int` | `hashCode()`
`Boolean` | `isApplicable(Task goal)`
`boolean` | `isOptionalStep(String name)` Test whether named step in this decomposition class is optional.
`boolean` | `isOrdered()`
`protected QName` | `parseQName(String qname)`
`TaskClass` | `resolveTaskClass(String qname)`
`void` | `setProperty(String key, String value)`
`String` | `toString()`
`protected String` | `xpath(String path)`
`protected Object` | `xpath(String path, QName returnType)`
`protected List<Node>` | `xpathNodes(String path)`
`protected List<String>` | `xpathValues(String path)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_BINDING_DEPTH

    public static int MAX_BINDING_DEPTH

  Maximum allowed depth of dependency chain in bindings (default 10). Used to protect against cyclic dependencies.

### XPATH

    public static final XPath XPATH

### node

    protected final Node node

  Node in DOM

### engine

    protected final TaskEngine engine

  Task engine in which DOM resides

Method Detail

### getTask

    public TaskClass getTask()

### isApplicable

    public Boolean isApplicable(Task goal)

### getGoal

    public TaskClass getGoal()

### isOrdered

    public boolean isOrdered()

### getStepNames

    public List<String> getStepNames()

### getStepTypes

    public List<TaskClass> getStepTypes()

### getStepType

    public TaskClass getStepType(String name)

### isOptionalStep

    public boolean isOptionalStep(String name)

  Test whether named step in this decomposition class is optional.

### getMaxOccursStep

    public int getMaxOccursStep(String name)

  Return the maximum number of times named step in this decomposition class may be repeated, or -1 if unbounded.

### getRequiredStepNames

    public List<String> getRequiredStepNames(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getPlatform

    public String getPlatform()

### getDeviceType

    public String getDeviceType()

### getId

    public String getId()

### getModel

    public TaskModel getModel()

### getProperty

    public String getProperty(String key)

### setProperty

    public void setProperty(String key,
                            String value)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getNamespace

    public String getNamespace()

### getEngine

    public TaskEngine getEngine()

### resolveTaskClass

    public TaskClass resolveTaskClass(String qname)

### xpath

    protected Object xpath(String path,
                           QName returnType)

### xpath

    protected String xpath(String path)

### xpathValues

    protected List<String> xpathValues(String path)

### xpathNodes

    protected List<Node> xpathNodes(String path)

### parseQName

    protected QName parseQName(String qname)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD